
package icsTables;

import org.w3c.dom.Document;

/**
 * Represents the srvice ICS Table
 * @author MC
 */
public class ICSServiceTableModel extends ICSTableModel {
    
    /** Creates a new instance of ICSTableService
     * @param strXMLFile
     * */
    public ICSServiceTableModel( String strXMLFile) {
        super(strXMLFile);
    }
    public ICSServiceTableModel()
    {
        super();
    }
    
    /** Creates a new instance of ICSTableService 
     * @param doc
     * */
    public ICSServiceTableModel(Document doc) {
        super(doc);
        init();       
    }
    /**
     * @see icsTables.ICSTableModel#init()
     */
    public void init()
    {
        strTitle = "Service Support ICS";
        strTableName = "Table 10.2";
        strDescription = "Service Support ICS defines which services defined in the service model are implemented.";
        strXsltFileName = "..\\XSLT\\GeneralIcs1.xsl";
        strDefaultXmlFile = "..\\xml\\ServiceICS.xml";
    }
    
}
